Package org.apache.tools.ant

# Interface Executor

All Known Implementing Classes:
  `DefaultExecutor`, `IgnoreDependenciesExecutor`, `SingleCheckExecutor`

public interface Executor
Target executor abstraction.

Since:
  Ant 1.6.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `executeTargets(Project project, String[] targetNames)`
  Execute the specified Targets for the specified Project.
  `Executor`
  `getSubProjectExecutor()`
  Get the appropriate subproject Executor instance.

- ## Method Details

  - ### executeTargets

    void executeTargets(Project project, String[] targetNames) throws BuildException
    Execute the specified Targets for the specified Project.
    Parameters:
      `project` - the Ant Project.
      `targetNames` - String[] of Target names as specified on the command line.
    Throws:
      `BuildException` - on error

  - ### getSubProjectExecutor

    Executor getSubProjectExecutor()
    Get the appropriate subproject Executor instance. This allows the top executor to control what type of executor is used to execute subprojects via <ant>/<antcall>/<subant> and task that extend these. All bundled Executors return a SingleCheckExecutor (running a merged set of depended targets for all targets called) to run sub-builds.
    Returns:
      an Executor instance.